<?php if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
use Bookly\Backend\Modules\Settings\Proxy;

$codes = array(
    array( 'code' => 'client_email',      'description' => esc_html__( 'email of client', 'bookly' ) ),
    array( 'code' => 'client_name',       'description' => esc_html__( 'full name of client', 'bookly' ) ),
    array( 'code' => 'client_first_name', 'description' => esc_html__( 'first name of client', 'bookly' ) ),
    array( 'code' => 'client_last_name',  'description' => esc_html__( 'last name of client', 'bookly' ) ),
    array( 'code' => 'client_phone',      'description' => esc_html__( 'phone of client', 'bookly' ) ),
    array( 'code' => 'payment_status',    'description' => esc_html__( 'status of payment', 'bookly' ) ),
    array( 'code' => 'payment_type',      'description' => esc_html__( 'payment type', 'bookly' ) ),
    array( 'code' => 'status',            'description' => esc_html__( 'status of appointment', 'bookly' ) ),
    array( 'code' => 'total_price',       'description' => esc_html__( 'total price of booking (sum of all cart items after applying coupon)', 'bookly' ) ),
);

$codes = Proxy\Shared::prepareCalendarAppointmentCodes( $codes, 'one' );

echo Bookly\Lib\Utils\Common::codes( $codes );